I've recently decided to move to using 64-bit OpenSuse. I've postponed moving to 64-bit for years as frankly I simply didn't need it, and I could see a fair amount of trouble people were having. Of course these days, all that is pretty much behind us. I'm happy to say the transition has been far less painful than I expected.

However, I do sometime need to build 32-bit applications, and while generally I've been able to work through any issues building these in my 64-bit environment, I think one thing which would make things easier is a meta package similar to Debian / Ubuntu's gcc-4.x-multilib package, which helps set up your build environment with the most common 32-bit libs you need.

Granted, having a multilib package is not a silver bullet, but it seems it would simplify the process to a worthwhile degree.

Does anyone else feel this is a reasonable idea? If so, perhaps we can put in a request for it. I would like to hear what others think about this, why the do this would or would not be good.

Cheers,
Lews Therin